/* $Id: limits.h,v 1.7 2003/12/15 07:05:06 poser Exp $ */
#include <limits.h>

/*
 * This first section contains constants which can be changed at will.
 */

/* Maximum number of keys permitted */
#define MAXKEYS            64

/* Default initial maximum records to sort */
#define DEFMAXRECORDS	8192

/* Initial size of input text buffer */
#define INPUTTEXTSIZEINIT 1024

/* Initial maximum fields in a record */
#define DEFMAXFIELDS 32

/*
 * Maximum number of multigraphs per key.
 * The highest slot in the rank table is no longer reserved for default keys
 * since we are no longer handling missing optional keys via defaults.
 * 
 * DO NOT CHANGE THIS. Unlike the other constants, this is tied in with the
 * structure of the program and cannot be safely changed without changing
 * other aspects of the program.
 */

#ifdef SEVENBIT
#define MAXMULTIGRAPHS	 128
#else
#define MAXMULTIGRAPHS  (USHRT_MAX - ASCIISIZE)
#endif
